> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to assign a role to a user or group within a Blink workspace.

# Assign a role to a user or group in a workspace



## OpenAPI

````yaml post /workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}:
    post:
      tags:
        - Workspaces
      summary: Assign a role to a user or group in a workspace
      description: >-
        Assigns the specified role to a user or group within the given
        workspace.

        **Note**: A workspace must have at least one owner at all times.
        Changing the last owner's role will be rejected.
      operationId: WorkspaceSetEntityRole
      parameters:
        - name: ws_id
          in: path
          description: The ID of the workspace
          required: true
          schema:
            type: string
        - name: entity_type
          in: path
          description: The type of entity to assign the role to (`user` or `group`)
          required: true
          schema:
            type: string
        - name: entity_id
          in: path
          description: The ID of the user or group to assign the role to
          required: true
          schema:
            type: string
        - name: role
          in: path
          description: The name of the role to assign to the entity
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content: {}
        '400':
          description: Invalid role, or ownership constraint violated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````